Subject: Re: [PATCH] Net-next: ipv4: type issue, remove erroneous semicolon

From: Chen Gang <[email-masked]>
Date: Tue, 23 Apr 2013 09:46:13 +0800

On 2013年04月23日 03:44, David Miller wrote:
> From: Chen Gang <[email-masked]>
> Date: Mon, 22 Apr 2013 18:17:21 +0800
> 
>>   need remove erroneous semicolon.
>>
>>   the related commit number: c54419321455631079c7d6e60bc732dd0c5914c5
>>
>>   Find it by EXTRA_CFLAGS=-W
>>
>>
>> Signed-off-by: Chen Gang <[email-masked]>
> 
> First, what is a "type issue", you aren't changing any variable
> or declaration types in this change.
> 

  sorry for my poor English, maybe 'type issue' need change to 'typo
issue' ?

> Second, your formatting of your commit messages is terrible.
> 
> Do not indent the description with two spaces, just keep them at the
> leftmost column.  Where did you learn to indent things like that, who
> else does that?  If you've never seen it before, don't invent things.
> 

  ok, excuse me, what I have done is only to try to make my expression
is as clearer as I can. my English is not quite well, I am afraid to let
other members can not understand or misunderstand what I write.

  but since you dislike it, I will not send messages like that to you.

> It is very irritating when we see people write commit messages with
> their own style rather than mimicking what other successful
> contributors are doing.
> 

  sorry, I am not quite understand what your meaning. I guess your
meaning is: "you are very angry to see a member write message with his
own style. if a member is a successful contributor, he never writes
message with his own style, he only follow the public standard style".

  is what I guess correct ?

  thanks.

> Thanks.

-- 
Chen Gang

Asianux Corporation